Subject: Venus Flytrap questions

From: [email-masked]
Date: Mon, 31 Jul 1995 21:42:40

Thanks in advance for any help...

I recently bought a little venus flytrap for the fun of it...  I'm not having 
much success with it.  It came in a little pot, and the guy told me that I 
just had to make sure it got one fly a week, or else I should feed it a little 
piece of chopmeat.  Well, there were 4 or so big "mouths" on the plant, and a 
bunch of tiny ones.  

I killed a housefly and dropped it in one of the big mouths.  It promptly 
closed and I assume it is now digesting...  I tried to feed a small fruit fly 
into one of the smaller mouths, but it would not close.  I also tried it in 4 
other "mouths" to no avail.  Do all of the "mouths" stop working when one is 
digesting?  Or are they all crippled?  Some have turned brown and I was told 
to cut them off.  Is this little plant going to make it?

It came in a little pot, about 10 fl. oz. or so...  Should I change the dirt, 
perhaps put it in spaghnum moss?  One last thing... how much water should I 
give it? 

Thanks very much

Jason Hotra